#include <cstdio>
#include <cstdlib>
#include <cstring>
#include <algorithm>
#include <vector>
#include <iostream>

using namespace std;

typedef vector<pair<int, int> > seq;
typedef long long TT;

#define SQR(x) ((x)*(x))

const int maxn = 100010;

seq a[3];
TT ans[maxn];
int n;

int main()
{
   freopen("input.txt" ,"rt", stdin); freopen("output.txt", "wt", stdout);
   
   int i, j, t[3];
   
   scanf("%d", &n);
   for (i = 0; i < 3; i++)
      a[i].resize(n);
   for (i = 0; i < n; i++) {
      scanf("%d %d %d", &t[0], &t[1], &t[2]);
      for (j = 0; j < 3; j++)
         a[j][i] = make_pair(t[j], i);
   }
   
   for (j = 0; j < 3; j++) {
      seq &v = a[j];
      sort(v.begin(), v.end());
      
      TT sum1_before = 0;
      TT sum1_after = 0;
      TT sum2_before = 0;
      TT sum2_after = 0;
      TT num_before = 0;
      TT num_after = n-1;
      
      for (i = 1; i < n; i++) {
         sum2_after += SQR(v[i].first-v[0].first);
         sum1_after += v[i].first-v[0].first;
      }
      
      ans[v[0].second] += sum2_after;
      
      for (i = 1; i < n; i++) {
         num_before++;
         TT delta = v[i].first-v[i-1].first;
         sum2_before += 2*sum1_before*delta + num_before * SQR(delta);
         sum2_after += -2*sum1_after*delta + num_after * SQR(delta);
         sum1_before += num_before * delta;
         sum1_after -= num_after * delta;
         ans[v[i].second] += sum2_before + sum2_after;
         num_after--;
      }
   }
   
   for (i = 0; i < n; i++)
      cout << ans[i] << endl;

   fclose(stdin); fclose(stdout);
   return 0;   
}
